## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate krata-tokio-tar

Name:           rust-krata-tokio-tar
Version:        0.4.2
Release:        %autorelease
Summary:        Rust implementation of an async TAR file reader and writer

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/krata-tokio-tar
Source:         %{crates_source}
# * GitHub sources corresponding to the published crate; we extract only the
#   tests/archives/ subdirectory for running tests.
Source10:       https://github.com/edera-dev/tokio-tar/archive/4ee357285b5053e6bfada7f117e530b4da94b74a/tokio-tar-4ee357285b5053e6bfada7f117e530b4da94b74a.tar.gz
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          krata-tokio-tar-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust implementation of an async TAR file reader and writer. This
library does not currently handle compression, but it is abstract over
all I/O readers and writers. Additionally, great lengths are taken to
ensure that the entire contents are never required to be entirely
resident in memory all at once.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xattr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xattr-devel %{_description}

This package contains library source intended for building other packages which
use the "xattr" feature of the "%{crate}" crate.

%files       -n %{name}+xattr-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Extract test tarballs (only) from the GitHub archive
tar -xzvf '%{SOURCE10}' --strip-components=1 'tokio-tar-4ee357285b5053e6bfada7f117e530b4da94b74a/tests/archives/'
# * Some tests show flaky failures due to apparent race conditions. We skip
#   those that appear to fail at least once in every 10-20 builds. We suspect
#   these issues are mostly architecture-independent (so the skips are the same
#   on all architectures) but this is difficult to prove.  See discussion in
#   https://github.com/astral-sh/uv/issues/3423. Note that upstream lacks a bug
#   tracker.
%cargo_test -- -- --exact --skip insert_local_file_different_name --skip large_filename --skip writing_files
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.2-1
- Initial package (close RHBZ#2311786)
## END: Generated by rpmautospec
